# goft

## Goodness of fit tests for continuous probability distributions


Parametric statistical methods assume a specific model for the probability distribution of the observations. When non-robust methods are used, statistical inferences may be invalid if the assumed distribution is not a plausible model for the  observations.   Goodness of fit tests are the statistical methods used for testing distributional assumptions on a data set.

This module contains tests specially designed for testing goodness of fit of some widely used probability distributions when parameters are unknown.

So far, the following tests are implemented.


A generalization of the Shapiro-Wilk test for testing multivariate normality (Villasenor and Gonzalez-Estrada, 2009).

Test of fit for the Gamma distribution with unknown shape and scale parameters based on the ratio of two variance estimators (Villasenor and Gonzalez-Estrada, 2015).
 
## References

Villasenor, J.A. and Gonzalez-Estrada, E. (2009). A generalization of Shapiro-Wilk's test for multivariate normality. Communications in Statistics: Theory and Methods, 38 11, 1870-1883. http://dx.doi.org/10.1080/03610920802474465

Villasenor, J.A. and Gonzalez-Estrada, E. (2015). A variance ratio test of fit for Gamma distributions. Statistics and Probability Letters, 96 1, 281-286. http://dx.doi.org/10.1016/j.spl.2014.10.001

